NSIS(1)

NAME
makensis - A program to create Windows installers.

SYNOPSIS

makensis [script.nsi] [-CMDHELP item] [-HDRINFO] [-LICENSE] [-VERSION] [-Vx] [-WX] [-Ofile] [-PAUSE] [-NOCONFIG] [-NOCD] [-INPUTCHARSET charset] [-PPO] [-SAFEPPO] [-Ddefine=value] [-Xscriptcmd]

DESCRIPTION

This manual page documents briefly the makensis command.

This manual page was written for the Debian (TM) distribution because the original program does not have a manual page. Instead, it has documentation in the HTML format; see below.

makensis is a program that creates installer programs for Windows.

OPTIONS

Parameters are processed by order (-Ddef ins.nsi != ins.nsi -Ddef) for script file name, you can use - to read from the standard input. For a complete description, see the HTML files.

-Vx
    Verbosity where x is 4=all, 3=no script, 2=no info, 1=no warnings, 0=none.

-WX
    Treat warnings as errors

-Ofile
    Specifies a text file to log compiler output (default is stdout).

-PAUSE
    Pauses after execution.

-NOCONFIG
    Disables inclusion of /etc/nsisconf.nsh.

-NOCD
    Disable changing the current directory to that of the .nsi file.

-INPUTCHARSET charset
    Specifies a specific codepage for files without a BOM. The following choice of charsets is supported: <ACP|OEM|CP#|UTF8|UTF16<LE|BE>>

-PPO
    Run only the preprocessor and print the result to stdout.

-SAFEPPO
    Same as -PPO but instructions like !appendfile or !system are not executed.

-Ddefine=value
    Defines the symbol "define" for the script to [value].

-Xscriptcmd
    Executes scriptcmd in the script (i.e. "-XOutFile poop.exe")

-CMDHELP item
    Prints out help for 'item', or lists all commands.

-HDRINFO
    Prints information about what options makensis was compiled with.

-LICENSE
    Prints the makensis software license.

-VERSION
    Prints the makensis version and exits.

FILES

/etc/nsisconf.nsh
    System wide configuration file.

~/.nsisconf.nsh
    Per-user configuration file.

SEE ALSO

NSIS is documented more fully in the HTML files in /usr/share/doc/nsis/Docs.

AUTHORS

Paul Wise <pabs@debian.org>
    This manual page was written initially by Paul Wise <pabs@debian.org> for the Debian (TM) system.

Thomas Gaugler
    updated the man page to reflect changes introduced with version 3.0.

COPYRIGHT
Copyright © 2005-2016 Paul Wise, Thomas Gaugler